<?php
class Smdesign_Sharpspring_Block_Checkout_Success extends Mage_Checkout_Block_Onepage_Success {
	
	public function getSharpspringEcommerce() {
		return Mage::getStoreConfig('smdesign_sharpspring/analytics/ecommerce');
	}

	public function getSharpSpringCode ($OrderNumber)
	{
		$order = Mage::getModel('sales/order')->load($OrderNumber, 'increment_id');

		$orderData = $order->getData();
		$orderItems = $order->getItemsCollection()
			->addAttributeToSelect('*')
			->load()->getData();
		
		$shippData = $order->getShippingAddress()->getData();

		$ret = array();
		$ret['transactionID'] = $orderData['increment_id'];
		$ret['storeName'] = Mage::app()->getStore()->getName();
		$ret['total'] = $orderData['grand_total'];
		$ret['tax'] = $orderData['tax_amount'];
		$ret['shipping'] = $orderData['shipping_amount'];
		$ret['city'] = $shippData['city'];
		$ret['state'] = $shippData['region'];
		$ret['zipcode'] = $shippData['postcode'];
		$ret['country'] = $shippData['country_id'];
		$ret['firstName'] = $shippData['firstname'];
		$ret['lastName'] = $shippData['lastname'];
		$ret['emailAddress'] = $orderData['customer_email'];

		$sItems = array();
		foreach ($orderItems as $key => $oItem) {
			if($oItem['parent_item_id'] == ""){
				$oItemObject = Mage::getModel('catalog/product')->load($oItem['product_id']);
				$oCats = $oItemObject->getCategoryIds();

				$oItemCats = "";
				if (is_array($oCats)){
					foreach ($oCats as $cat) {
						$catObj = Mage::getModel('catalog/category')->setStoreId(Mage::app()->getStore()->getId())->load($cat);
						$oItemCats .= $catObj->getName() . ',';
					}	
					$oItemCats = rtrim($oItemCats, ",");
				}	
				$sItems[$key]['transactionID'] = $ret['transactionID'];
				$sItems[$key]['itemCode'] = $oItem['sku'];
				$sItems[$key]['productName'] = $oItem['name'];
				$sItems[$key]['category'] = $oItemCats;
				$sItems[$key]['price'] = $oItem['price'];
				$sItems[$key]['quantity'] = $oItem['qty_ordered'];
			}	
		}
		$ret['items'] = $sItems;
		return $ret;
	}
}